import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { EditorComponent } from './editor/editor.component';
import { LandingPageComponent } from './landing-page/landing-page.component';
import { OutputComponent } from './output/output.component';

// Toutes les routes de l'application sont définies ici 
const routes: Routes = [
  { path: '', component: LandingPageComponent },
  { path: 'editor', component: EditorComponent },
  { path: 'output', component: OutputComponent }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
